Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalHierarchyHome

public interface PortalHierarchyHome
extends BaseHome

Home EJB interface for the PortalHiearchy.

Method Summary
`PortalHierarchy` | `create(PortalHierarchyPK pk)` Create.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find by portal.
`java.util.Enumeration` | `findByPortlet(java.lang.String aPortletName)` Find by portlet.
`PortalHierarchy` | `findByPrimaryKey(PortalHierarchyPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public PortalHierarchy create(PortalHierarchyPK pk)
                           throws javax.ejb.CreateException,
                                  java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalHierarchy` the created PortalHierarchy.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public PortalHierarchy findByPrimaryKey(PortalHierarchyPK pk)
                                     throws javax.ejb.FinderException,
                                            java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalHierarchy` the object that matches the primary key.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortalName` - the portal.
  Returns:
    `Enumeration` the objects that own the portal.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortlet

    public java.util.Enumeration findByPortlet(java.lang.String aPortletName)
                                        throws javax.ejb.FinderException,
                                               java.rmi.RemoteException

  Find by portlet.
  Parameters:
    `aPortletName` - the portlet.
  Returns:
    `Enumeration` the objects that own the portlet.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved